Get Job By ID
Description
This API enables you to retrieve details of a specific Job. The Job is referred by its unique Job ID.
Request Details
Request URL
GET
{api-domain}/baas/v1/project/{project_id}/job_scheduling/job/{job_id}
copy
project_id
Numerical
The unique ID of the project
job_id
Numerical
The unique ID of the Job
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
ZohoCatalyst.job.READ
Response Details
The JSON response returns the metadata of a specific job present in the project. The response will also contain the details of the user who created and last modified it.
Note: The sample response is given for a Job that triggers a Job Function. If you attempt to use this API to GET Jobs that trigger Webhook, Circuit or AppSail services, then the values of capacity, target, request_method, target_details, params, and headers will change accordingly.
Sample Request
copy
curl -X GET
https://api.catalyst.zoho.com/baas/v1/project/10278000000019013/job_scheduling/job/10278000000027019
-H “Authorization: Zoho-oauthtoken 1000.91016.2f57”
Sample Response
copy
{
"status": "success",
"data": {
"job_id": "10108000003880208",
"created_time": "May 29, 2024 02:29 PM",
"response_code": "Success",
"start_time": {
"startTimeToRedirectLogsPage": "29/05/2024 14:24",
"timeWithGivenTimezone": "May 29, 2024 02:29 PM IST",
"timeWithJobTimezone": "May 29, 2024 02:29 PM IST"
},
"end_time": {
"timeWithGivenTimezone": "May 29, 2024 02:29 PM IST",
"timeWithJobTimezone": "May 29, 2024 02:29 PM IST",
"endTimeToRedirectLogsPage": "29/05/2024 14:34"
},
"submitted_on": {
"startTimeToRedirectLogsPage": "29/05/2024 14:24",
"timeWithGivenTimezone": "May 29, 2024 02:29 PM IST",
"timeWithJobTimezone": "May 29, 2024 02:29 PM IST"
},
"job_status": "SUCCESS",
"capacity": {
"memory": "256"
},
"job_meta_details": {
"id": "10108000003880209",
"url": "",
"job_name": "abc",
"job_config": {
"number_of_retries": 0
},
"target_type": "Function",
"target_details": {
"id": "10108000003823893",
"target_name": "target_function_fetch"
},
"source_type": "API",
"source_details": {
"source_name": "API"
},
"jobpool_id": "10108000003823563",
"jobpool_details": {
"type": "Function",
"name": "VendorReminder",
"created_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"created_time": "May 28, 2024 04:44 PM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"modified_time": "May 28, 2024 04:44 PM",
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"id": "10108000003823563"
},
"headers": {},
"params": {}
},
"retried_count": 0,
"parent_job_id": "10108000003880208",
"execution_time": "633",
"status": false,
"dispatch_delay": "103"
}
}
SDK Documentation
Yes
No
Send your feedback to us
Skip
Submit